wmi-1.3.16 from opsview.com

This commit is contained in:
Are Casilla
2019-02-16 00:16:52 +01:00
parent 163fdd3d1b
commit 17b3af2911
2146 changed files with 678824 additions and 0 deletions
+52
View File
@@ -0,0 +1,52 @@
#!/bin/sh
# build ldb docs
# tridge@samba.org August 2006
XSLTPROC="$1"
SRCDIR="$2"
if [ -z "$XSLTPROC" ] || [ ! -x "$XSLTPROC" ]; then
echo "xsltproc not installed"
exit 0
fi
MANXSL="http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
HTMLXSL="http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl"
mkdir -p man
for f in $SRCDIR/man/*.xml; do
base=`basename $f .xml`
out=man/"`basename $base`"
if [ ! -f "$out" ] || [ "$f" -nt "$out" ]; then
echo Processing manpage $f
$XSLTPROC --nonet -o "$out" "$MANXSL" $f
ret=$?
if [ "$ret" = "4" ]; then
echo "ignoring stylesheet error 4 for $MANXSL"
exit 0
fi
if [ "$ret" != "0" ]; then
echo "xsltproc failed with error $ret"
exit $ret
fi
fi
done
for f in $SRCDIR/man/*.xml; do
base=`basename $f .xml`
out=man/"`basename $base`".html
if [ ! -f "$out" ] || [ "$f" -nt "$out" ]; then
echo Processing html $f
$XSLTPROC --nonet -o "$out" "$HTMLXSL" $f
ret=$?
if [ "$ret" = "4" ]; then
echo "ignoring stylesheet error 4 for $HTMLXSL"
exit 0
fi
if [ "$ret" != "0" ]; then
echo "xsltproc failed with error $ret"
exit $ret
fi
fi
done
+41
View File
@@ -0,0 +1,41 @@
The list of indexed fields
--------------------------
dn=@INDEXLIST
list of field names that are indexed
contains fields of type @IDXATTR which contain attriute names
of indexed fields
Data records
------------
for each user record in the db there is:
main record
key: DN=dn
data: packed attribute/value list
a index record for each indexed field in the record
Index Records
-------------
The index records contain the list of dn's that contain records
matching the index key
All index records are of the form:
dn=@INDEX:field:value
and contain fields of type @IDX which are the dns of the records
that have that value for some attribute
Search Expressions
------------------
Very similar to LDAP search expressions, but does not allow ~=, <= or >=
attrib0 := (field=value)
attrib := attrib0 | (attrib&&attrib) | (attrib||attrib) | !attrib
+17
View File
@@ -0,0 +1,17 @@
#!/bin/sh
# install ldb docs
# tridge@samba.org August 2006
MANDIR="$1"
MAN1="`/bin/ls man/*.1`"
MAN3="`/bin/ls man/*.3`"
if [ -z "$MAN1" ] && [ -z "$MAN3" ]; then
echo "No manpages have been built"
exit 0
fi
mkdir -p "$MANDIR/man1" "$MANDIR/man3"
cp $MAN1 "$MANDIR/man1/" || exit 1
cp $MAN3 "$MANDIR/man3/" || exit 1